clang 10.0.0git

Public Member Functions | List of all members
clang::Parser::UnannotatedTentativeParsingAction Class Reference

A tentative parsing action that can also revert token annotations. More...

Inheritance diagram for clang::Parser::UnannotatedTentativeParsingAction:
[legend]
Collaboration diagram for clang::Parser::UnannotatedTentativeParsingAction:
[legend]

## Public Member Functions
| UnannotatedTentativeParsingAction (Parser &Self, tok::TokenKind EndKind)
void | RevertAnnotations ()

## Detailed Description

A tentative parsing action that can also revert token annotations.

Definition at line 1019 of file ParseCXXInlineMethods.cpp.

## Constructor & Destructor Documentation

## ◆ UnannotatedTentativeParsingAction()

clang::Parser::UnannotatedTentativeParsingAction::UnannotatedTentativeParsingAction | ( | Parser & | Self,
|  | tok::TokenKind | EndKind
| ) |  |
| inline explicit

Definition at line 1021 of file ParseCXXInlineMethods.cpp.

## Member Function Documentation

## ◆ RevertAnnotations()

void clang::Parser::UnannotatedTentativeParsingAction::RevertAnnotations | ( |  | ) |
| inline

Definition at line 1031 of file ParseCXXInlineMethods.cpp.

References clang::Parser::ConsumeToken(), clang::CPlusPlus11, clang::comments::tok::eof, clang::Parser::getLangOpts(), clang::format::FormatToken::is(), clang::format::FormatToken::isNot(), clang::Result, clang::Parser::UnannotatedTentativeParsingAction::RevertAnnotations(), and clang::Parser::StopBeforeMatch.

Referenced by clang::Parser::UnannotatedTentativeParsingAction::RevertAnnotations().

The documentation for this class was generated from the following file:

- lib/Parse/ParseCXXInlineMethods.cpp